/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.internet.boundary;

import de.ivu.elect.business.internet.entity.Praesentationsexport;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class PraesentationsexportDAO extends AbstractPraesentationsexportDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Praesentationsexport praesentationsexport){
    getEntityManager().persist(praesentationsexport);
  }

  public void remove(Praesentationsexport praesentationsexport){
    getEntityManager().remove(praesentationsexport);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                                    
        /**
        * Name: ByErgebnisNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT p FROM Praesentationsexport p WHERE p.ergebnis=?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Praesentationsexport> findByByErgebnis( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Praesentationsexport.findByByErgebnis" ,  ergebnis  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByByErgebnis( ergebnis  ));
        }
        return (java.util.List<Praesentationsexport>) cached;
        }
            return super.findByByErgebnis( ergebnis  );
            }
                                                                        
        /**
        * Name: ErgebnisAndArtAndAusloeserAndStimmabgabeartNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT p FROM Praesentationsexport p WHERE p.ergebnis=?1 AND p.praesentationsexportart = ?2 AND p.praesentationsexportausloeser=?3 AND p.stimmabgabeart = ?4<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Praesentationsexport> findByErgebnisAndArtAndAusloeserAndStimmabgabeart( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Praesentationsexportart praesentationsexportart,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Praesentationsexportausloeser praesentationsexportausloeser,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Stimmabgabeart stimmabgabeart) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Praesentationsexport.findByErgebnisAndArtAndAusloeserAndStimmabgabeart" ,  ergebnis ,  praesentationsexportart ,  praesentationsexportausloeser ,  stimmabgabeart  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebnisAndArtAndAusloeserAndStimmabgabeart( ergebnis ,  praesentationsexportart ,  praesentationsexportausloeser ,  stimmabgabeart  ));
        }
        return (java.util.List<Praesentationsexport>) cached;
        }
            return super.findByErgebnisAndArtAndAusloeserAndStimmabgabeart( ergebnis ,  praesentationsexportart ,  praesentationsexportausloeser ,  stimmabgabeart  );
            }
                                        
        /**
        * Name: ErgebnisAndArtenNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT p FROM Praesentationsexport p WHERE p.ergebnis=?1 AND p.praesentationsexportart=?2 AND p.stimmabgabeart = ?3<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Praesentationsexport> findByErgebnisAndArten( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Praesentationsexportart praesentationsexportart,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Stimmabgabeart stimmabgabeart) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Praesentationsexport.findByErgebnisAndArten" ,  ergebnis ,  praesentationsexportart ,  stimmabgabeart  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebnisAndArten( ergebnis ,  praesentationsexportart ,  stimmabgabeart  ));
        }
        return (java.util.List<Praesentationsexport>) cached;
        }
            return super.findByErgebnisAndArten( ergebnis ,  praesentationsexportart ,  stimmabgabeart  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}